Gets the webhook secret key
curl --request GET \
--url https://api.salad.com/api/public/organizations/{organization_name}/webhook-secret-key \
--header 'Salad-Api-Key: <api-key>'import requests
url = "https://api.salad.com/api/public/organizations/{organization_name}/webhook-secret-key"
headers = {"Salad-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Salad-Api-Key': '<api-key>'}};
fetch('https://api.salad.com/api/public/organizations/{organization_name}/webhook-secret-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"secret_key": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}Organizations
Gets the webhook secret key
Gets the webhook secret key
GET
/
organizations
/
{organization_name}
/
webhook-secret-key
Gets the webhook secret key
Last Updated: July 1, 2025
Authorizations
Path Parameters
Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.
Required string length:
2 - 63Pattern:
^[a-z][a-z0-9-]{0,61}[a-z0-9]$Example:
"acme-corp"
Response
OK
Represents a webhook secret key
The webhook secret key
Required string length:
44 - 172Pattern:
^[+/=0-9A-Za-z]{44,172}$Was this page helpful?
⌘I